librevenge::RVNGPropertyListImpl Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
librevenge::RVNGPropertyListImpl Class Reference

## Public Member Functions
| RVNGPropertyListImpl ()
| RVNGPropertyListImpl (const RVNGPropertyListImpl &plist)
| ~RVNGPropertyListImpl ()
RVNGPropertyListImpl & | operator= (const RVNGPropertyListImpl &plist)
void | insert (const char *name, RVNGProperty *prop)
void | insert (const char *name, RVNGPropertyListVector *vec)
const RVNGProperty * | operator[] (const char *name) const
const RVNGPropertyListVector * | child (const char *name) const
void | remove (const char *name)
void | clear ()
bool | empty () const

## Public Attributes
std::map< std::string, RVNGPropertyListElement > | m_map

## Constructor & Destructor Documentation

librevenge::RVNGPropertyListImpl::RVNGPropertyListImpl | ( |  | ) |
| inline

librevenge::RVNGPropertyListImpl::RVNGPropertyListImpl | ( | const RVNGPropertyListImpl & | plist | ) |
| inline

librevenge::RVNGPropertyListImpl::~RVNGPropertyListImpl | ( |  | ) |
| inline

## Member Function Documentation

const RVNGPropertyListVector * librevenge::RVNGPropertyListImpl::child | ( | const char * | name | ) | const

Referenced by librevenge::RVNGPropertyList::child().

void librevenge::RVNGPropertyListImpl::clear | ( |  | ) |

Referenced by librevenge::RVNGPropertyList::clear().

bool librevenge::RVNGPropertyListImpl::empty | ( |  | ) | const

Referenced by librevenge::RVNGPropertyList::empty().

void librevenge::RVNGPropertyListImpl::insert | ( | const char * | name,
|  | RVNGProperty * | prop
| ) |  |

Referenced by librevenge::RVNGPropertyList::insert().

void librevenge::RVNGPropertyListImpl::insert | ( | const char * | name,
|  | RVNGPropertyListVector * | vec
| ) |  |

RVNGPropertyListImpl & librevenge::RVNGPropertyListImpl::operator= | ( | const RVNGPropertyListImpl & | plist | ) |

const RVNGProperty * librevenge::RVNGPropertyListImpl::operator[] | ( | const char * | name | ) | const

void librevenge::RVNGPropertyListImpl::remove | ( | const char * | name | ) |

Referenced by librevenge::RVNGPropertyList::remove().

## Member Data Documentation

std::map<std::string, RVNGPropertyListElement> librevenge::RVNGPropertyListImpl::m_map
| mutable

Referenced by operator=().

The documentation for this class was generated from the following file:

- RVNGPropertyList.cpp